curl --request POST \
--url https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hello, what can you help me with?",
"useSharedHistory": false,
"sessionId": "session-12345",
"returnContexts": false
}
'import requests
url = "https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query"
payload = {
"message": "Hello, what can you help me with?",
"useSharedHistory": False,
"sessionId": "session-12345",
"returnContexts": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"message\": \"Hello, what can you help me with?\",\n \"useSharedHistory\": false,\n \"sessionId\": \"session-12345\",\n \"returnContexts\": false\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"Hello, what can you help me with?\",\n \"useSharedHistory\": false,\n \"sessionId\": \"session-12345\",\n \"returnContexts\": false\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'Hello, what can you help me with?',
'useSharedHistory' => false,
'sessionId' => 'session-12345',
'returnContexts' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Hello, what can you help me with?',
useSharedHistory: false,
sessionId: 'session-12345',
returnContexts: false
})
};
fetch('https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response": "Based on the documentation, you can send an SMS by using our SMS API. First, you need to authenticate using your API key, then make a POST request to the /sms/2/text/advanced endpoint with your message details.",
"context": {
"originalContexts": [
{
"text": "To send SMS messages, you need to use the SMS API endpoint...",
"filename": "sms-api-guide.pdf"
},
{
"text": "Authentication is required for all API calls...",
"filename": "authentication-guide.pdf"
}
],
"rerankedContexts": [
{
"text": "To send SMS messages, you need to use the SMS API endpoint...",
"filename": "sms-api-guide.pdf"
}
]
}
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "40401",
"description": "Assistant not found.",
"action": "Check the description for error details.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Query AI Assistant by ID
Forwards a message from a user to a specific AI assistant identified by its unique ID and returns the assistant’s response.
This endpoint performs a semantic search over an AI assistant’s indexed documents based on configured guidelines. It then generates a response using the LLM connected to the assistant.
The “use shared history” feature allowing an AI assistant to utilize the agent’s conversation history, is only available if used together with Phonovation AI agents.
Required scope: Enable one of: ai:read.
curl --request POST \
--url https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hello, what can you help me with?",
"useSharedHistory": false,
"sessionId": "session-12345",
"returnContexts": false
}
'import requests
url = "https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query"
payload = {
"message": "Hello, what can you help me with?",
"useSharedHistory": False,
"sessionId": "session-12345",
"returnContexts": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"message\": \"Hello, what can you help me with?\",\n \"useSharedHistory\": false,\n \"sessionId\": \"session-12345\",\n \"returnContexts\": false\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"Hello, what can you help me with?\",\n \"useSharedHistory\": false,\n \"sessionId\": \"session-12345\",\n \"returnContexts\": false\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'Hello, what can you help me with?',
'useSharedHistory' => false,
'sessionId' => 'session-12345',
'returnContexts' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Hello, what can you help me with?',
useSharedHistory: false,
sessionId: 'session-12345',
returnContexts: false
})
};
fetch('https://api.messaging.phonovation.com/ai/1/aiassistants/{assistantId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response": "Based on the documentation, you can send an SMS by using our SMS API. First, you need to authenticate using your API key, then make a POST request to the /sms/2/text/advanced endpoint with your message details.",
"context": {
"originalContexts": [
{
"text": "To send SMS messages, you need to use the SMS API endpoint...",
"filename": "sms-api-guide.pdf"
},
{
"text": "Authentication is required for all API calls...",
"filename": "authentication-guide.pdf"
}
],
"rerankedContexts": [
{
"text": "To send SMS messages, you need to use the SMS API endpoint...",
"filename": "sms-api-guide.pdf"
}
]
}
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "40401",
"description": "Assistant not found.",
"action": "Check the description for error details.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the AI assistant to query.
Body
Simple AI Assistant query with just a message.
User message an AI assistant receives.
"Hello, what can you help me with?"
Indicates whether to use shared conversation history. Can only be used with Phonovation AI agents.
Session ID to maintain context across multiple queries.
"session-12345"
Flag to indicate whether to return the contexts used in generating the response.